# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name WebService-DNSwatch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Perl interface to the DNSwatch API
Group: Development/Perl
License: artistic
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TA/TAINT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WebService::DNSwatch provides an interface to the DNSwatch API, allowing
for control of domains and records hosted at DNSwatch.

    use WebService::DNSwatch;

    # Create a new instance of WebService::DNSwatch
    my $editdns = WebService::DNSwatch->new(email => 'your@email.address',
                                           apihash => 'your_API_hash');

    # Add a new domain
    $dnswatch->add_domain(domain => 'example.com');

    # Add a type A record
    $dnswatch->add_record(domain => 'example.com',
                         record => 'www.example.com',
                         type => 'A',
                         data => '12.34.56.78');

    # Delete a record
    $dnswatch->delete_record(domain => 'example.com',
                            record => 'www.example.com',
                            type => 'A');

    # Delete a domain
    $dnswatch->delete_domain(domain => 'example.com');

    ...


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

